GNU bug report logs - #57809
[PATCH] gnome-boxes: Add 'qemu' as propagated-input

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jacob Hrbek <kreyren@HIDDEN>; Keywords: patch; merged with #57810; dated Wed, 14 Sep 2022 18:19:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 57809 57810. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 20 Sep 2022 17:12:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 13:12:50 2022
Received: from localhost ([127.0.0.1]:59519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oagnh-0002bB-VT
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 13:12:50 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:37595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oagnf-0002ax-Jy
 for 57809 <at> debbugs.gnu.org; Tue, 20 Sep 2022 13:12:49 -0400
Received: by mail-ed1-f66.google.com with SMTP id a41so4850453edf.4
 for <57809 <at> debbugs.gnu.org>; Tue, 20 Sep 2022 10:12:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:from:to:cc:subject
 :date; bh=coXEn7ay9cu3dOyIStZ4dp8pGDfZnEMBe1aEDR+CxsM=;
 b=Dv0WaQmpVH94EkipkCo3azA1Nuva3wHKG4mROybV6Bks3emsJQaSMcWRMZbTQ2Welr
 5QZq8Xz09R2sUFbrvfw9YYlREow0D6AVLku7/xyd2ytPyDg81dpAReKxwHFNEC8PF70I
 WcZ62g+o+eqperHGxDciH7SMvuUGa5d1vQlQFDE51OnIE9oYk+BsFj7OYk7EVFSXXg2j
 PMl17FrZLEJYWjkwvMzZqjB7rrUshm/4a8Lfcps1Zke0b85fWhcFG//9MTwXGo0VQlav
 TzawYo9//b6ICCN2QTYK4+f5FEpDdUHxZFgpdGYt2v/qCmeYfY4gC0IQdQB59FOGPSW7
 C85g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:x-gm-message-state
 :from:to:cc:subject:date;
 bh=coXEn7ay9cu3dOyIStZ4dp8pGDfZnEMBe1aEDR+CxsM=;
 b=Y/DpgQ7PD6bIbAc045EmogLTxWYnpQkG3E3YipvOcRApifs3uPV0XgXCNy13PMUkso
 PUoXzfQgmZg3Bapwb2A1cFt3ZaGyJ+/J+kj5ayB4oBx7EdacANZ9cBZxTM4QG/0rAHIl
 0MBq5v9aNTsQGmnCg2VLpH1AME0kWtqMHo2SJCxzVDdoErpwgDdzrBn11st5DYR0Dedq
 23KJO1VWiTi6UIBcesk04snlwwrTdeSqLIvht4d5is9QadibHE3dHM3sX8LiCcA9q66g
 hzgzsutJVHTCAs9BkQtbW3Qgg2zCpd7EBzxZCYuQge3baoe5LkMZlNvYmt6Wl933dtBp
 YAWQ==
X-Gm-Message-State: ACrzQf1GD+jVTWb7CcuOlPQwhEbyVXfXgET0JE2QQFJuHzjcr+ByhIjZ
 Px0vRkGuhYmhXTtl1R/bdhM=
X-Google-Smtp-Source: AMsMyM5LwQlwj79TOZ+/3AveG3691XqriE4DRguUF1gPyzVqBHyzKzKYQ+2OOLC/JP4Bt3ZxwX4YZA==
X-Received: by 2002:a05:6402:401b:b0:453:f519:94ad with SMTP id
 d27-20020a056402401b00b00453f51994admr11216658eda.144.1663693961607; 
 Tue, 20 Sep 2022 10:12:41 -0700 (PDT)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 j9-20020a17090623e900b0073d83f80b05sm157844ejg.94.2022.09.20.10.12.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 20 Sep 2022 10:12:41 -0700 (PDT)
Message-ID: <f6442ed8a77dd63e9367c92356b7d85de9f358d8.camel@HIDDEN>
Subject: Re: [PATCH] gnome-boxes: Fix path for 'qemu-img'
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>
Date: Tue, 20 Sep 2022 19:12:40 +0200
In-Reply-To: <zm8VtAMiUfewezJCbIpFNyZR34sTjCzjVChzgbuNUggfDEdpA4iGVdQvrptarOmi7X8AlOySRA0-2tY-Lp9QRoR6mzkXWSoowUNzYp3oozE=@rixotstudio.cz>
References: <20220919213607.24888-1-kreyren@HIDDEN>
 <4220be69b689cb13ab74c3f62f7a122db712d104.camel@HIDDEN>
 <zm8VtAMiUfewezJCbIpFNyZR34sTjCzjVChzgbuNUggfDEdpA4iGVdQvrptarOmi7X8AlOySRA0-2tY-Lp9QRoR6mzkXWSoowUNzYp3oozE=@rixotstudio.cz>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.45.3 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Dienstag, dem 20.09.2022 um 07:55 +0000 schrieb Jacob Hrbek:
> > > [Krey format the code it looks like trash]
>=20
> > > [Krey there is too much cosmetic noise it looks like trash]
It is admittedly our fault that we're advertising tools which don't do
their job, but it's not our fault that neither you nor your text editor
know how to match up parentheses with indentation levels.




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 20 Sep 2022 07:56:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 03:56:08 2022
Received: from localhost ([127.0.0.1]:56011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaY6x-0000pq-S6
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 03:56:08 -0400
Received: from mail-4324.protonmail.ch ([185.70.43.24]:63599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oaY6t-0000p3-HH
 for 57809 <at> debbugs.gnu.org; Tue, 20 Sep 2022 03:56:06 -0400
Date: Tue, 20 Sep 2022 07:55:50 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663660556; x=1663919756;
 bh=x7X1d7RGT+Ki7IQN7rckj9u8JSiGgpjfQohy1SB6VO4=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=HPzf5ePY4BxnoehVIdRc7JySskVpiGxAsb7jp5wO+wpME+Lj5bAcE0QVWpyQJ3RBt
 P4DiwQ+//kbbRKyjDVLxPK9bmJfdzCkAPGUba25pRso30Uawt8a7DcGOr3bacp+e8u
 TSF81hz8wkd0RuebOOqVWDIEpdCXlnpAfpn+iDrhREjMyOdjS6tTWNR2eLl55ODeCx
 HHRQIIxEvlPEzM33uehgGc3y2RFMnSxG+76aasx1K1aAhgx/Dbw8x7rcGwnWEaju7A
 kKJdV6APt+DsiRaHGVwV+ULP/uSxnRvVqIjKwPFi8d1B9LMZJC6+SlknxcL5GwWTpz
 ZUuHwwHiihYAg==
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [PATCH] gnome-boxes: Fix path for 'qemu-img'
Message-ID: <zm8VtAMiUfewezJCbIpFNyZR34sTjCzjVChzgbuNUggfDEdpA4iGVdQvrptarOmi7X8AlOySRA0-2tY-Lp9QRoR6mzkXWSoowUNzYp3oozE=@rixotstudio.cz>
In-Reply-To: <4220be69b689cb13ab74c3f62f7a122db712d104.camel@HIDDEN>
References: <20220919213607.24888-1-kreyren@HIDDEN>
 <4220be69b689cb13ab74c3f62f7a122db712d104.camel@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha512;
 boundary="------2d39bdd37e4390b4f8e3ef09172719f2fc1afe0c18e15a80f3bef2e0b16034c1";
 charset=utf-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------2d39bdd37e4390b4f8e3ef09172719f2fc1afe0c18e15a80f3bef2e0b16034c1
Content-Type: multipart/mixed;boundary=---------------------8e64da8f666c1b2fcab85c8ff6e9255a

-----------------------8e64da8f666c1b2fcab85c8ff6e9255a
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;charset=utf-8

>> [Krey format the code it looks like trash]

>> [Krey there is too much cosmetic noise it looks like trash]

...

https://issues.guix.gnu.org/57809#9 is the solution

https://issues.guix.gnu.org/57809#13 is the solution + `$ guix style gnome=
-boxes`

------- Original Message -------
On Tuesday, September 20th, 2022 at 7:18 AM, Liliana Marie Prikler <lilian=
a.prikler@HIDDEN> wrote:


> Am Montag, dem 19.09.2022 um 21:36 +0000 schrieb Jacob Hrbek:
> =


> > ---
> > gnu/packages/gnome.scm | 102 ++++++++++++++++++++++-----------------
> > --
> =


> Too much noise. Please separate cosmetic and non-cosmetic changes.
> =


> Thanks
-----------------------8e64da8f666c1b2fcab85c8ff6e9255a
Content-Type: application/pgp-keys; filename="publickey - kreyren@HIDDEN - 0x1677DB82.asc"; name="publickey - kreyren@HIDDEN - 0x1677DB82.asc"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="publickey - kreyren@HIDDEN - 0x1677DB82.asc"; name="publickey - kreyren@HIDDEN - 0x1677DB82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tCgp4ak1FWUFsM0ZoWUpLd1lCQkFI
YVJ3OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHQKQk5OR3FKVWhwMkxOTDJ0
eVpYbHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0CmIzUnpkSFZrYVc4
dVkzbyt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWgpBUUliQXdJ
ZUFRQWhDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEKLzB0
bGJkbkNJenJlS1htdlcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5n
CmVTdEdGbi9vbGh4VFBkcHU2NDFDTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVC
QjBEYQppSTNqUWZTb2kzRFo0L05mbXhHZHNSc3Y5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZ
RmdnQUNRVUMKWUFsM0ZnSWJEQUFoQ1JDdDAzMFVxMEw4cVJZaEJCWjMyNEtUaktobGM0RWpCNjNU
ZlJTclF2eXBIY0VCCkFPUXhTL0ovVU0wZWU4azJqYmxpV2QvUTBJZCtYOFVIQlhoeXFWUmMyMnFy
QVFETEhjVzk3V1FiU0pGbwoxOWt3dDcwT3lIZXBGNkxXcEREMFB1SVNaRDZJQ2c9PQo9OWtaZwot
LS0tLUVORCBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tCg==
-----------------------8e64da8f666c1b2fcab85c8ff6e9255a--

--------2d39bdd37e4390b4f8e3ef09172719f2fc1afe0c18e15a80f3bef2e0b16034c1
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYKAAYFAmMpce4AIQkQrdN9FKtC/KkWIQQWd9uCk4yoZXOBIwet030U
q0L8qU7eAP0T4qdjeRcippw9hoiKbjPbHFGcpQQqzIhBGsyP+OQZRgD/RQJD
QSZBWlKL/KHJ4PvTzoI2cQPAh31bkK4wWdkcSQ4=
=vsy2
-----END PGP SIGNATURE-----


--------2d39bdd37e4390b4f8e3ef09172719f2fc1afe0c18e15a80f3bef2e0b16034c1--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 20 Sep 2022 05:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 20 01:19:08 2022
Received: from localhost ([127.0.0.1]:55833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaVf1-000309-TR
	for submit <at> debbugs.gnu.org; Tue, 20 Sep 2022 01:19:08 -0400
Received: from mail-ed1-f66.google.com ([209.85.208.66]:45707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oaVf0-0002ze-3m
 for 57809 <at> debbugs.gnu.org; Tue, 20 Sep 2022 01:19:06 -0400
Received: by mail-ed1-f66.google.com with SMTP id m3so2112345eda.12
 for <57809 <at> debbugs.gnu.org>; Mon, 19 Sep 2022 22:19:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date;
 bh=KyKfCVO3U7WueULvJ5CA61LA9hziFGqoEzHkmp1Qzzw=;
 b=p/11CVpNZEgwvZrdybZ8ef3NgtRpf1gtitttesrpTqt47QIkqac2HHk4gUgvUOkont
 JLYXdPBcYlE5jXeNDOWu4TPQ+nK4NZKYDnr2DHTk3KY5zimxVDJRkiis9KBHQE7k52MC
 6mGAOCHtTfd1haHl8aqwy8b4QDYi0EIj8X/vZM1crFbyxH0KVdAYhlNZwbswXkPSOtWR
 bV3FDWYycmpbNlFBiDKm3fUcTVz2EAyQHyEeAlcX6ZdJzUgZ8gonQvS5LhcP/SURQsfv
 dsA+uyEFWQtAtz5bfH3eQabsIMd9GjXh5e4TKqOkAgDNktL8ilOUUlvIQ7mxjKk/VRDk
 RATw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date;
 bh=KyKfCVO3U7WueULvJ5CA61LA9hziFGqoEzHkmp1Qzzw=;
 b=L1naiXPF3e54K/MKHMJbLLcT3F8aVyCpGwpo2m60DWp2S+8h2yc8dK7fXC28naoAl1
 uKqjBU1TjrsqItQVyewnSF8p2HQCq6wOiHQ+eDysh8406lY24d+izpOOBK3kNHICuA9u
 A6dkOm6wp0bcAc6TVHKBBpH+Jr+7rWVvLteeK1i8riLKTmG3vFfEaEo+ljZJXo/lTL2N
 F8OUEKe5j+X/oDBwrFy3olnj3CfL26BSJ3fZydolH8ku5+e6+fMmbIcLK8kMQZwXYfQT
 zU6CCKY/cbXcuMT00XJLsjA3Rif1+cim1QSvDeRvVOOyMhRkJF3v+CzUFN0k89fvL9m4
 6Z6Q==
X-Gm-Message-State: ACrzQf1BYbAKl2Vpoj0pEs+UJnjNbVm0bJY77wle5C0TtHvO7Z6Nok6j
 6UJZA7ymdZWh40EbV+c5AJy2ON9HRSw=
X-Google-Smtp-Source: AMsMyM7pscSKbOo5q4vrQlXwGy0lsiw21+d6CnRcT+tNjLv12GBJL28emraW0xzQ7RluSnYAuhZmUg==
X-Received: by 2002:aa7:d447:0:b0:44e:ebb8:b691 with SMTP id
 q7-20020aa7d447000000b0044eebb8b691mr18403835edr.428.1663651140515; 
 Mon, 19 Sep 2022 22:19:00 -0700 (PDT)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 c15-20020a50d64f000000b00443d657d8a4sm513396edj.61.2022.09.19.22.19.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 19 Sep 2022 22:19:00 -0700 (PDT)
Message-ID: <4220be69b689cb13ab74c3f62f7a122db712d104.camel@HIDDEN>
Subject: Re: [PATCH] gnome-boxes: Fix path for 'qemu-img'
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
Date: Tue, 20 Sep 2022 07:18:59 +0200
In-Reply-To: <20220919213607.24888-1-kreyren@HIDDEN>
References: <20220919213607.24888-1-kreyren@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.45.3 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Montag, dem 19.09.2022 um 21:36 +0000 schrieb Jacob Hrbek:
> ---
> =C2=A0gnu/packages/gnome.scm | 102 ++++++++++++++++++++++----------------=
-
> --
Too much noise.  Please separate cosmetic and non-cosmetic changes.

Thanks




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 19 Sep 2022 21:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 17:36:37 2022
Received: from localhost ([127.0.0.1]:55490 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaORR-00041h-6Y
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 17:36:37 -0400
Received: from mail-4323.proton.ch ([185.70.43.23]:37919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oaORM-00041Q-EJ
 for 57809 <at> debbugs.gnu.org; Mon, 19 Sep 2022 17:36:35 -0400
Date: Mon, 19 Sep 2022 21:36:15 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663623385; x=1663882585;
 bh=biNbJSQgp69eQAe2Ja2L5xJlGvOP1GcnjwFmwOC8aZY=;
 h=Date:To:From:Cc:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=OCBzWBlyyjtPdmh4i/4N7E5oteJeN9zARdNAbZYYoXqbFO1O2zPDApmezLmitnR87
 e5E3mTCEuja2WvU7cOg5bEQt42IbmlZESuroRMyLLNYbcehMi8kFRSi8p4wLH4fZ3w
 KUbTuNW7teil5uc5U2ajT4rUOMlyjebXsSR7waCz2/TTnuLponiPbrpYuUTFUNptSD
 SULROCaGFMJatK5ryIjB8aLK/XYKXs6Rg1gjAPh1wshe/QXT+vg8BgoTubndmFh8rh
 hBvQZkTRmTjxfsvkI0/uzXHlAS+P/AOz4L0X3iGmHfA/pq9qTfEwC49KhjoxZyMD0/
 nuQWlGisHvlrw==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Fix path for 'qemu-img'
Message-ID: <20220919213607.24888-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------ec4d12d224605669dc16655d3b4c89fb1e64f334f5f84a141e6f3079b85525b0";
 charset=utf-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: Jacob Hrbek <kreyren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------ec4d12d224605669dc16655d3b4c89fb1e64f334f5f84a141e6f3079b85525b0
Content-Type: multipart/mixed;
 boundary=ccf1f7dd91e85bda3ef84a8ecf9f357c74ed27f83a3b05ef50dd650b5295
From: Jacob Hrbek <kreyren@HIDDEN>
To: 57809 <at> debbugs.gnu.org
Cc: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Fix path for 'qemu-img'
Date: Mon, 19 Sep 2022 23:36:07 +0200
Message-Id: <20220919213607.24888-1-kreyren@HIDDEN>
X-Mailer: git-send-email 2.37.3
MIME-Version: 1.0

--ccf1f7dd91e85bda3ef84a8ecf9f357c74ed27f83a3b05ef50dd650b5295
Content-Transfer-Encoding: 8bit
Content-Disposition: 
Content-Type: text/plain; charset=UTF-8

---
 gnu/packages/gnome.scm | 102 ++++++++++++++++++++++-------------------
 1 file changed, 55 insertions(+), 47 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d6d22f8eb1..65054fc4ac 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12115,67 +12115,75 @@ (define-public gnome-boxes
   (package
     (name "gnome-boxes")
     (version "42.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "mirror://gnome/sources/gnome-boxes/"
-                           (version-major version) "/"
-                           "gnome-boxes-" version ".tar.xz"))
-       (sha256
-        (base32 "1lv0bdh935qj6wkv3ixg2pcv8yrapj79z02gw4fal3rhz3xggvsn"))))
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://gnome/sources/gnome-boxes/"
+                                  (version-major version)
+                                  "/"
+
             "gnome-boxes-"
+                                  version
+                                  ".tar.xz"))
+              (sha256
+               (base32
+                "1lv0bdh935qj6wkv3ixg2pcv8yrapj79z02gw4fal3rhz3xggvsn"))))
     (build-system meson-build-system)
     (arguments
      (list #:glib-or-gtk? #t
            #:configure-flags #~(list "-Drdp=false"
-                                     (string-append "-Dc_link_args=-Wl,-rpath="
-                                                    #$output
-                                                    "/lib/gnome-boxes"))
+                                     (string-append
+                                      "-Dc_link_args=-Wl,-rpath="
+                                      #$output "/lib/gnome-boxes"))
            #:phases #~(modify-phases %standard-phases
                         (add-after 'unpack 'disable-gtk-update-icon-cache
                           (lambda _
-                            (
setenv "DESTDIR" "/"))))))
-    (native-inputs
-     (list desktop-file-utils           ;for update-desktop-database
-           gettext-minimal
-           `(,glib "bin")               ;for glib-compile-resources
-           itstool
-           pkg-config
-           python
-           vala))
-    (inputs
-     (list glib-networking              ;for TLS support
-           gsettings-desktop-schemas
-           gtk+
-           gtk-vnc
-           gtksourceview
-           json-glib
-           libarchive
-           libgudev
-           libhandy
-           libosinfo
-           libsecret
-           libsoup-minimal-2
-           libusb
-           libvirt
-           libvirt-glib
-           libxml2
-           sparql-query
-           spice-gtk
-           tracker
-           vte
-           webkitgtk-with-libsoup2))    ;for webkit2gtk-4.0
+                            (setenv "DESTDIR" "/")))
+                        (add-before 'configure 'substitut
e-qemu-dependencies
+                          (lambda* (#:key inputs #:allow-other-keys)
+                            (substitute* "src/installed-media.vala"
+                              (("qemu-img")
+                               (search-input-file inputs "/bin/qemu-img"))))))))
+    (native-inputs (list desktop-file-utils ;for update-desktop-database
+                         gettext-minimal
+                         `(,glib "bin") ;for glib-compile-resources
+                         itstool
+                         pkg-config
+                         python
+                         vala))
+    (inputs (list glib-networking ;for TLS support
+                  gsettings-desktop-schemas
+                  gtk+
+                  gtk-vnc
+                  gtksourceview
+                  json-glib
+                  libarchive
+                  libgudev
+                  libhandy
+                  libosinfo
+                  libsecret
+
    libsoup-minimal-2
+                  libusb
+                  libvirt
+                  libvirt-glib
+                  libxml2
+                  qemu-minimal ;for qemu-img
+                  sparql-query
+                  spice-gtk
+                  tracker
+                  vte
+                  webkitgtk-with-libsoup2)) ;for webkit2gtk-4.0
     (home-page "https://wiki.gnome.org/Apps/Boxes")
     (synopsis "View, access, and manage remote and virtual systems")
-    (description "GNOME Boxes is a simple application to view, access, and
+    (description
+     "GNOME Boxes is a simple application to view, access, and
 manage remote and virtual systems.  Note that this application requires the
 @code{libvirt} and @code{virtlog} daemons to run.  Use the command
 @command{info '(guix) Virtualization Services'} to learn how to configure
 these services on the Guix System.")
     (license (list
-              ;; For data/icons/empty-boxes.png.
-
  license:cc-by2.0
-              ;; For all others.
-              license:lgpl2.0+))))
+                   ;; For data/icons/empty-boxes.png.
+                   license:cc-by2.0
+                   ;; For all others.
+                   license:lgpl2.0+))))

 (define-public geary
   (package
--
2.37.3


--ccf1f7dd91e85bda3ef84a8ecf9f357c74ed27f83a3b05ef50dd650b5295
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--ccf1f7dd91e85bda3ef84a8ecf9f357c74ed27f83a3b05ef50dd650b5295--

--------ec4d12d224605669dc16655d3b4c89fb1e64f334f5f84a141e6f3079b85525b0
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMo4M0JkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAC9hAPwKSfQt1rHuckPM3unXP0AWM/6g48o/o9P+DfuIEWXZgwD+Ie8Z
GCVbJsvqjbyKBZ65unbllVUwg/Dzd0NV3PMoYQw=
=B02I
-----END PGP SIGNATURE-----


--------ec4d12d224605669dc16655d3b4c89fb1e64f334f5f84a141e6f3079b85525b0--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 19 Sep 2022 13:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 09:41:29 2022
Received: from localhost ([127.0.0.1]:52776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaH1d-0002h3-Gh
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 09:41:29 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:56706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oaH1b-0002gt-BE
 for 57809 <at> debbugs.gnu.org; Mon, 19 Sep 2022 09:41:28 -0400
Received: from [192.168.81.79] ([213.251.124.117])
 by michel.telenet-ops.be with bizsmtp
 id MphQ2800a2Y5aml06phRAU; Mon, 19 Sep 2022 15:41:25 +0200
Message-ID: <a9400538-e7d2-8a88-5531-657d2c111366@HIDDEN>
Date: Mon, 19 Sep 2022 15:41:24 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
Content-Language: en-US
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
References: <20220914181624.13204-1-kreyren@HIDDEN>
 <20220919040932.5298-1-kreyren@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <20220919040932.5298-1-kreyren@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------Y92R1DslQ90WmFeFtxu6vlRU"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1663594885; bh=wYHSpJ6Mi6bXUfegw6d811y/Z0VfAcde2HNNQ2g9TP4=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=YeJ1pr2xCNIOUPIrjODXbQXR6XI0qTlmxnyUTQDljB8jEwyFDQ40U45oMeeQ4itD4
 5Xdfb6eBtDvlEyDS2hjicDY5fcqWDtTQwfxb6rtZ/nZ4XfPM99TcwNsfClR4fqdVxi
 8X6u7ovnuCFSamSB+5rVcciFMhR0yUIOF5maBW577u3kHlWCX0ZVc8wEuMdNT7GK5e
 xhl7isTpAoqZYAfV/02pvFQBIklaBXPLGXW4XS+1KDBcK2tNrj4CmaU3PB0PATHQRU
 UaYdEFW/GexAZYCj2UB51kzuyRHZ7x/k6hnB6Hcx/XWtzTUjEER4ls7783zdbJBJWl
 MQVHIaO0mDT+A==
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------Y92R1DslQ90WmFeFtxu6vlRU
Content-Type: multipart/mixed; boundary="------------nOovJO4PNikc93XIbDKGDgkx";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
Message-ID: <a9400538-e7d2-8a88-5531-657d2c111366@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
References: <20220914181624.13204-1-kreyren@HIDDEN>
 <20220919040932.5298-1-kreyren@HIDDEN>
In-Reply-To: <20220919040932.5298-1-kreyren@HIDDEN>

--------------nOovJO4PNikc93XIbDKGDgkx
Content-Type: multipart/mixed; boundary="------------1rp78ASaojo9Lb2Pfd37r4wb"

--------------1rp78ASaojo9Lb2Pfd37r4wb
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQoNCk9uIDE5LTA5LTIwMjIgMDY6MDksIEphY29iIEhyYmVrIHdyb3RlOg0KPiArICAgICAg
ICAgICAgICAgICAgICAgICAgICAoc2V0ZW52ICJERVNURElSIiAiLyIpKSkNCj4gKyAgICAg
ICAgICAgICAgICAgICAgICAoYWRkLWJlZm9yZSAnY29uZmlndXJlICdzdWJzdGl0dXRlLXFl
bXUtZGVwZW5kZW5jaWVzDQo+ICsgICAgICAgICAgICAgICAgICAgICAgICAobGFtYmRhKiAo
IzprZXkgaW5wdXRzICM6YWxsb3ctb3RoZXIta2V5cykNCj4gKw0KPiAgICAgICAgICAgICAg
ICAgIChzdWJzdGl0dXRlKiAic3JjL2luc3RhbGxlZC1tZWRpYS52YWxhIg0KPiArICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgKCgicWVtdS1pbWciKQ0KPiArICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICAgIChzZWFyY2gtaW5wdXQtZmlsZSBpbnB1dHMgIi9iaW4vcWVt
dS1pbWciKSkpKSkpKSkNCg0KQXNpZGUgZnJvbSB0aGUgaW5kZW50YXRpb24gKHdoaWNoIHdv
dWxkIElJVUMgYmUgY29ycmVjdGVkIGJ5ICJndWl4IA0Kc3R5bGUiLCBzZWUgcG9pbnQgKDUp
IG9mIHRoZSBjaGVja2xpc3QgaW4gIihndWl4KVN1Ym1pdHRpbmcgUGF0Y2hlcyIpKSAuLi4N
Cg0KPiAgICAgICAobmF0aXZlLWlucHV0cw0KPiAgICAgICAgKGxpc3QgZGVza3RvcC1maWxl
LXV0aWxzICAgICAgICAgICA7Zm9yIHVwZGF0ZS1kZXNrdG9wLWRhdGFiYXNlDQo+ICAgICAg
ICAgICAgICBnZXR0ZXh0LW1pbmltYWwNCj4gQEAgLTEyMTYyLDYgKzEyMTY3LDcgQEAgKGRl
ZmluZS1wdWJsaWMgZ25vbWUtYm94ZXMNCj4gICAgICAgICAgICAgIHNwYXJxbC1xdWVyeQ0K
PiAgICAgICAgICAgICAgc3BpY2UtZ3RrDQo+ICAgICAgICAgICAgICB0cmFja2VyDQoNCg0K
PiArICAgICAgICAgICBxZW11LW1pbmltYWwgICAgICAgICAgICAgICAgIDtmb3IgcWVtdS1p
bWcNCg0KLi4uIGFuZCB0aGUgbm9uLWFscGhhYmV0aWNhbCBzb3J0aW5nLCAuLi4NCg0KPiAg
ICAgICAgICAgICAgdnRlDQo+ICAgICAgICAgICAgICB3ZWJraXRndGstd2l0aC1saWJzb3Vw
MikpICAgIDtmb3Igd2Via2l0Mmd0ay00LjANCg0KLi4uIGxvb2tzIGdvb2QgdG8gbWUgKHRo
b3VnaCB0byBiZSBjbGVhciwgSSBkaWQgbm90IHRlc3QgdGhlIGNoYW5nZXMpLCANCnRob3Vn
aCB0aG9zZSBwcm9ibGVtcyBjYW4gYmUgYWRkcmVzc2VkIGJ5IHRoZSBjb21taXR0ZXIgKGp1
c3QgYSBub3RlIGZvciANCmZ1dHVyZSBzdWJtaXNzaW9ucykuDQoNCkdyZWV0aW5ncywNCk1h
eGltZS4NCg==
--------------1rp78ASaojo9Lb2Pfd37r4wb
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------1rp78ASaojo9Lb2Pfd37r4wb--

--------------nOovJO4PNikc93XIbDKGDgkx--

--------------Y92R1DslQ90WmFeFtxu6vlRU
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYyhxhAUDAAAAAAAKCRBJ4+4iGRcl7iHS
APwKghNjIQRUxkHMjrOng9c2DMYz4GVvFj+jluFqcVk1ugD+JfFHrf1IoSgrNL9gkObYZKypHBKg
lqQTMon4hNZmFAw=
=gx6N
-----END PGP SIGNATURE-----

--------------Y92R1DslQ90WmFeFtxu6vlRU--




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 19 Sep 2022 13:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 09:36:10 2022
Received: from localhost ([127.0.0.1]:52771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaGwS-0002Yl-85
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 09:36:10 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:46760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oaGwM-0002YF-8F
 for 57809 <at> debbugs.gnu.org; Mon, 19 Sep 2022 09:36:06 -0400
Received: from [192.168.81.79] ([213.251.124.117])
 by michel.telenet-ops.be with bizsmtp
 id Mpby2800N2Y5aml06pby1E; Mon, 19 Sep 2022 15:36:00 +0200
Message-ID: <91c51099-88b9-bcd6-6856-1ea776ec17ee@HIDDEN>
Date: Mon, 19 Sep 2022 15:35:58 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Jacob Hrbek <kreyren@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
 <P5DFIR.K7JI549PMIPU2@HIDDEN>
 <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
 <yAQyCUxhSoIJVBCrTEfwP_BgPwyV6Bgyaa3xrQSPXylBZOv6CPcs_XZ4pFI315RydLw--b3nm2umqYkTI3Bv2F8EueVVvPXZnroTVgfzdeg=@rixotstudio.cz>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
In-Reply-To: <yAQyCUxhSoIJVBCrTEfwP_BgPwyV6Bgyaa3xrQSPXylBZOv6CPcs_XZ4pFI315RydLw--b3nm2umqYkTI3Bv2F8EueVVvPXZnroTVgfzdeg=@rixotstudio.cz>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------b5YfYHZo5IDvPwEm9DzkWn9C"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1663594560; bh=7rXO0nbrFXthitDOZUZ9i0VLJII7xgQKsNp1uEfXOWQ=;
 h=Date:To:Cc:References:From:Subject:In-Reply-To;
 b=QMLdseFdo0M+J3f7og6j0v5EgNpOPbU8XlPQeMR8CpV7U9OPHrHLUOnslEe3WJC9T
 Nf/fVd/VNahGTVDIIeawqDCUPPjFnkRIbHklECoa6MA8vlVKljv0DZ7yjp/Hyy+jmU
 +nKrU0P8H9nlB9dRXBJYaix3EUcwtaS7Slk1mwO6ajuUsphcZI3xpmXy+1iGXpNDjy
 xPjch0mNMjCGGgcrnfC0a7oKVI5S0nWBXrAfajHBdT4rv106YmxbB2tsKtbMP1q+4n
 u7Iwv8W3NF8cynGnabSZpfa8rYC8Bu6gayJh3vONp7+fhB+9OOFf6GLlz/lhd/HD/L
 RYWI3yJzEtfNA==
X-Spam-Score: -1.8 (-)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------b5YfYHZo5IDvPwEm9DzkWn9C
Content-Type: multipart/mixed; boundary="------------KLr0rXDkJg20LMVqSxlgyh0p";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>
Cc: 57809 <at> debbugs.gnu.org
Message-ID: <91c51099-88b9-bcd6-6856-1ea776ec17ee@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
 <P5DFIR.K7JI549PMIPU2@HIDDEN>
 <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
 <yAQyCUxhSoIJVBCrTEfwP_BgPwyV6Bgyaa3xrQSPXylBZOv6CPcs_XZ4pFI315RydLw--b3nm2umqYkTI3Bv2F8EueVVvPXZnroTVgfzdeg=@rixotstudio.cz>
In-Reply-To: <yAQyCUxhSoIJVBCrTEfwP_BgPwyV6Bgyaa3xrQSPXylBZOv6CPcs_XZ4pFI315RydLw--b3nm2umqYkTI3Bv2F8EueVVvPXZnroTVgfzdeg=@rixotstudio.cz>

--------------KLr0rXDkJg20LMVqSxlgyh0p
Content-Type: multipart/mixed; boundary="------------iJcKK10wq0Qe0lYl1jLDpbym"

--------------iJcKK10wq0Qe0lYl1jLDpbym
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQoNCk9uIDE5LTA5LTIwMjIgMDY6MjgsIEphY29iIEhyYmVrIHdyb3RlOg0KPj4+ICgyKSAn
bmF0aXZlLWlucHV0cycgKG9yICdpbnB1dHMnKSwgaXMgdW5ib3VuZC4gIEZvciBpbmZvcm1h
dGlvbiBvbiBob3cNCj4gDQo+Pj4gdG8gdXNlIHNlYXJjaC1pbnB1dC1maWxlLCBpbnB1dHMg
YW5kIHBoYXNlcywgc2VlIHRoZSBtYW51YWwsIGluIHBhcnRpY3VsYXIgKGd1aXgpQnVpbGQg
VXRpbGl0aWVzIChpbmRleCBlbnRyeTogc2VhcmNoLWlucHV0LWZpbGUpID4+IGFuZA0KPiAN
Cj4+PiBpdHMgZXhhbXBsZS4NCj4gDQo+IEkndmUgYmVlbiBzZWFyY2hpbmcgdGhyb3VnaCB0
aGF0IHRoaW5nIGVuZGxlc3NseSBmb3IgYWxtb3N0IDUgaG91cnMgPl8+IGl0IGRvZXNuJ3Qg
aGVscCBtdWNoIGZvciB0aGF0Li4gSSBjYW4gZ3JlcCB0aGUgY29kZSB0byBsb29rIGZvciB1
c2FnZSB0aG91Z2ggd2hpY2ggaXMgd2hhdCBJIGRpZCBoZXJlIF4tXg0KDQpIZXJlIGFyZSBz
b21lIHByb3Bvc2VkIG1ldGhvZHMgZm9yIGZpbmRpbmcgaXQsIHdoaWNoIGNhbiBiZSBhZGFw
dGVkIGZvciANCm90aGVyIHNlYXJjaGVzIGFzIHdlbGwuDQoNCiAgKiAiaW5mbyBndWl4IiBm
b2xsb3dlZCBieSAncycgJ3NlYXJjaC1pbnB1dC1maWxlJw0KICAgIChmcmVlLWZvcm0gdGV4
dCBzZWFyY2gsIGdvb2QgZm9yIGZpbmRpbmcgZXhhbXBsZXMpDQogICogImluZm8gZ3VpeCIg
Zm9sbG93ZWQgYnkgJ2knICdzZWFyY2gtaW5wdXQtZmlsZScNCiAgICAoaW5kZXggZW50cnks
IHdvcmtzIHdlbGwgZm9yIHByb2NlZHVyZSBuYW1lcykNCiAgKiAiaW5mbyBndWl4IiA+ICJQ
cm9ncmFtbWluZyBJbnRlcmZhY2UiID4gIkJ1aWxkIFV0aWxpdGllcyIsIGZvbGxvd2VkDQog
ICAgIGJ5IHNvbWUgc2Nyb2xsaW5nLCB0aGVuIGZpbmQgJ3NlYXJjaC1pbnB1dC1maWxlJyB0
aGVyZS4NCiAgICAodXNpbmcgdGhlIFRPQykNCg0KVGhlIGZpcnN0IHR3byBvcHRpb25zIG9u
bHkgdGFrZSBhIGZldyBzZWNvbmRzLiAgVGhlIGxhdHRlciBjYW4gYmUgcXVpY2sgDQpvciBs
b25nLCBkZXBlbmRpbmcgb24gd2hldGhlciB5b3VyIGd1ZXNzIG9uIHdoZXJlIGl0J3MgbG9j
YXRlZCBpcyBnb29kIA0Kb3IgYmFkLg0KDQpBbmQgYSBmb3VydGggb3B0aW9uLCBzaW5jZSB5
b3Ugc2VlbSB0byBsaWtlIGdyZXBwaW5nOg0KDQogICogZ2l0IGdyZXAgLUYgc2VhcmNoLWlu
cHV0LWZpbGUgZG9jLw0KICAgIChpbiBhIGdpdCBjaGVja291dCBvZiBHdWl4KQ0KDQpHcmVl
dGluZ3MsDQpNYXhpbWUuDQo=
--------------iJcKK10wq0Qe0lYl1jLDpbym
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------iJcKK10wq0Qe0lYl1jLDpbym--

--------------KLr0rXDkJg20LMVqSxlgyh0p--

--------------b5YfYHZo5IDvPwEm9DzkWn9C
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYyhwPgUDAAAAAAAKCRBJ4+4iGRcl7hNB
AP0UGZXbdKgIiYaFAN71qNwt5dpkDT6K4i0EPi0+mW0VBQD9HSQl1dBpOUlo1jLuLsoPdiBhd9At
fnKs6Wy/c5WMcgg=
=lQBh
-----END PGP SIGNATURE-----

--------------b5YfYHZo5IDvPwEm9DzkWn9C--




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 19 Sep 2022 04:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 00:28:52 2022
Received: from localhost ([127.0.0.1]:51775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa8Oo-000825-69
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 00:28:52 -0400
Received: from mail-4324.protonmail.ch ([185.70.43.24]:56029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa8Oh-00081n-QV
 for 57809 <at> debbugs.gnu.org; Mon, 19 Sep 2022 00:28:49 -0400
Date: Mon, 19 Sep 2022 04:28:26 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663561716; x=1663820916;
 bh=RQmrpvaJf6s/L3GM6EhEIRuY2Z09Vg8ot40i6pJoODc=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=iYVAsAjsapiwjymMgvQ7dbeHrjxszwCaRT5W95aFEZpeYMmxCNy2+9T2LQqCJRMKz
 /tS8RQBlj7vxd/mOF/vVV3HGtkNt7DhzHGky/mcspNVOKC0YHaFZJ7Bghb/fQGs+ph
 o1Gj+HuF5mhLBjfR7FeuJt7xxjOE3gDRnvE4LTjT5MD6b8jXLaZ4SRzcQ1Hjbd3ft/
 wjTtBc/hfB4C1HuuH3kVa6IaYM6hcePxCuSdfV4/sdBAAEYA/nqlY0u65Of153nVzy
 z/iiTjSwsnCi/+PDrgnvU+Uihj0BbY2aKkHjj1U7qoHHALBoaFzt4NEYSQCQfO0Wlc
 Kuz963sq3Dpmg==
To: Maxime Devos <maximedevos@HIDDEN>
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <yAQyCUxhSoIJVBCrTEfwP_BgPwyV6Bgyaa3xrQSPXylBZOv6CPcs_XZ4pFI315RydLw--b3nm2umqYkTI3Bv2F8EueVVvPXZnroTVgfzdeg=@rixotstudio.cz>
In-Reply-To: <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
 <P5DFIR.K7JI549PMIPU2@HIDDEN>
 <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha512;
 boundary="------74071575161326b4c0cafbd52bb45e55a48768b0a894b4b738382e3255930854";
 charset=utf-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------74071575161326b4c0cafbd52bb45e55a48768b0a894b4b738382e3255930854
Content-Type: multipart/mixed;boundary=---------------------deed3f02ce22698998c6c5abc2f703c4

-----------------------deed3f02ce22698998c6c5abc2f703c4
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;charset=utf-8

>> (2) 'native-inputs' (or 'inputs'), is unbound.  For information on how =


>> to use search-input-file, inputs and phases, see the manual, in particu=
lar (guix)Build Utilities (index entry: search-input-file) >> and =


>> its example.

I've been searching through that thing endlessly for almost 5 hours >_> it=
 doesn't help much for that.. I can grep the code to look for usage though=
 which is what I did here ^-^

>> If that's not sufficient, you can insert an (impersonal) link to the =


>> Guix issue

meh, imho takes too much time especially when it's from a newbie like me w=
ho needs guidance which adds bunch of useless info to the issue.

>> which has all the =


>> relevant information (which is available even when you aren't available=
 =


>> for chatting, and also when your IRC nick is unknown or if you're gone)=
.

The idea is that people are using chat/client that has chat history and se=
nds notifications so that people can respond quickly or when they are avai=
lable worst case sending an email..

-- Jacob "Kreyren" Hrbek

------- Original Message -------
On Sunday, September 18th, 2022 at 11:50 PM, Maxime Devos <maximedevos@tel=
enet.be> wrote:


> =


> =


> On 18-09-2022 23:32, Jacob Hrbek wrote:
> =


> > On Ne, z=C3=A1=C5=99 18 2022 at 23:14:12 +0200, Maxime Devos
> > maximedevos@HIDDEN wrote:
> > =


> > > I find (search-input-file inputs "/bin/qemu-img") clearer -- 'inputs=
'
> > > / 'native-inputs' is sufficiently complicated on its own, no need to
> > > bring %build-inputs and friends in the equation when it can be avoid=
ed.
> > =


> > That ain't working for me: https://i.imgur.com/Co4Xsjl.png
> > https://i.imgur.com/Co4Xsjl.png
> =


> =


> Quoting the relevant code would be sufficient, no need for image links.
> Besides, text is more accessible than images of text, text would reach
> a wider audience.
> =


> > unbound-variable #f "Unbound variable: ~S" (native-inputs) #f
> =


> =


> (1) 'qemu-minimal' is in the wrong place, it needs to be in 'inputs',
> not 'native-inputs', otherwise it is compiled for the wrong
> architecture. (In both the phase and the inputs/native-inputs field)
> (2) 'native-inputs' (or 'inputs'), is unbound. For information on how
> to use search-input-file, inputs and phases, see the manual, in
> particular (guix)Build Utilities (index entry: search-input-file) and
> its example.
> =


> > > (1) the convention is TODO or FIXME, not NOTE It's not: - TODO as in=
 "To Do something" or "for something to be done"
> > > - FIXME as in "Low priority thing or quality assurance something tha=
t
> > > needs to be fixed"
> =


> =


> A missing hardcoded file name can easily be a (usually low-priority)
> bug, so FIXME applies, it's also something to investigate and solve (if
> appropriate), so TODO applies.
> =


> > More like handing over note to the next guy about possible issue in th=
e
> > future and leaving the signature here so that they can just go on chat
> =


> =


> The required information is already in the "TODO: [stuff about file
> names]", they do not need to go 'on chat', and if they do anyway,
> hardcoding file names is a relatively well-known solution, so I don't
> expect a contact person to be needed.
> =


> If that's not sufficient, you can insert an (impersonal) link to the
> Guix issue https://issues.guix.gnu.org/issue/57809, which has all the
> =


> relevant information (which is available even when you aren't available
> for chatting, and also when your IRC nick is unknown or if you're gone).
> =


> Also, there are no gender restrictions in Guix.
> =


> Greetings,
> Maxime.
-----------------------deed3f02ce22698998c6c5abc2f703c4
Content-Type: application/pgp-keys; filename="publickey - kreyren@HIDDEN - 0x1677DB82.asc"; name="publickey - kreyren@HIDDEN - 0x1677DB82.asc"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="publickey - kreyren@HIDDEN - 0x1677DB82.asc"; name="publickey - kreyren@HIDDEN - 0x1677DB82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tCgp4ak1FWUFsM0ZoWUpLd1lCQkFI
YVJ3OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHQKQk5OR3FKVWhwMkxOTDJ0
eVpYbHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0CmIzUnpkSFZrYVc4
dVkzbyt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWgpBUUliQXdJ
ZUFRQWhDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEKLzB0
bGJkbkNJenJlS1htdlcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5n
CmVTdEdGbi9vbGh4VFBkcHU2NDFDTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVC
QjBEYQppSTNqUWZTb2kzRFo0L05mbXhHZHNSc3Y5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZ
RmdnQUNRVUMKWUFsM0ZnSWJEQUFoQ1JDdDAzMFVxMEw4cVJZaEJCWjMyNEtUaktobGM0RWpCNjNU
ZlJTclF2eXBIY0VCCkFPUXhTL0ovVU0wZWU4azJqYmxpV2QvUTBJZCtYOFVIQlhoeXFWUmMyMnFy
QVFETEhjVzk3V1FiU0pGbwoxOWt3dDcwT3lIZXBGNkxXcEREMFB1SVNaRDZJQ2c9PQo9OWtaZwot
LS0tLUVORCBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tCg==
-----------------------deed3f02ce22698998c6c5abc2f703c4--

--------74071575161326b4c0cafbd52bb45e55a48768b0a894b4b738382e3255930854
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYKAAYFAmMn79sAIQkQrdN9FKtC/KkWIQQWd9uCk4yoZXOBIwet030U
q0L8qSdMAQC262IyZFJNJyNraU0YIzxjE/pMRbRoNF5IFES/cD5RQwEAgixV
ZB51ceje5Af9C3XXBNVpJhFAC3KDaW88hsVSYAE=
=aGgo
-----END PGP SIGNATURE-----


--------74071575161326b4c0cafbd52bb45e55a48768b0a894b4b738382e3255930854--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 19 Sep 2022 04:09:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 00:09:57 2022
Received: from localhost ([127.0.0.1]:51751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa86W-0007YE-Ke
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 00:09:56 -0400
Received: from mail-4317.proton.ch ([185.70.43.17]:18037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa86S-0007Xy-7R
 for 57809 <at> debbugs.gnu.org; Mon, 19 Sep 2022 00:09:55 -0400
Date: Mon, 19 Sep 2022 04:09:40 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663560585; x=1663819785;
 bh=kzlNax7211iZd4GEp8DACmDTiHh16eGixl01uj9ecZE=;
 h=Date:To:From:Cc:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=NtPFAcCEyDRqM86pwqVvmo2YUVGYsXq8QC1pcC+yyfNiUYUCi2Zp1WLoCOjIwpbGc
 329x44zYQvqGVzMzXYEWaUFl6xF+vCTG1sP5Ccu8KviweAiOBDO9yp4lVh/z+Ahs5q
 q6RvjD/Wi0wndJ0CdowzPE3/KCB36zVT4U9B4V5JHehXvmwUsLcaazCQ7Lqy2OxxLi
 8/kIAUwrPkH/klPXg2cx3QZn0V15BAYk+zLNO7/pDbXyAiqILVPX+F9Rnr5TXjnMY2
 oLFAW6hzsUsHzZeACe9FIt9AAqK5XDB+1PAxNCXaa5ucaV3V396bwfV/zBmQqN1S4X
 CcF2vEJ/bJ/QQ==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <20220919040932.5298-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------41a75fbdeb73b08606a618fc26dde205c80f4ef8f4f65065e36bbe0db569bbd5";
 charset=utf-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: Jacob Hrbek <kreyren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------41a75fbdeb73b08606a618fc26dde205c80f4ef8f4f65065e36bbe0db569bbd5
Content-Type: multipart/mixed;
 boundary=651ad84f02b5d994bc1abd7fad714971453af069d17d493a35a1f683431b
From: Jacob Hrbek <kreyren@HIDDEN>
To: 57809 <at> debbugs.gnu.org
Cc: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Date: Mon, 19 Sep 2022 06:09:32 +0200
Message-Id: <20220919040932.5298-1-kreyren@HIDDEN>
X-Mailer: git-send-email 2.37.3
MIME-Version: 1.0

--651ad84f02b5d994bc1abd7fad714971453af069d17d493a35a1f683431b
Content-Transfer-Encoding: 8bit
Content-Disposition: 
Content-Type: text/plain; charset=UTF-8

---
 gnu/packages/gnome.scm | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d6d22f8eb1..ff5cb92907 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12131,9 +12131,14 @@ (define-public gnome-boxes
                                                     #$output
                                                     "/lib/gnome-boxes"))
            #:phases #~(modify-phases %standard-phases
-                        (add-after 'unpack 'disable-gtk-update-icon-cache
-                          (lambda _
-                            (setenv "DESTDIR" "/"))))))
+                      (add-after 'unpack 'disable-gtk-update-icon-cache
+                        (lambda _
+                          (setenv "DESTDIR" "/")))
+                      (add-before 'configure 'substitute-qemu-dependencies
+                        (lambda* (#:key inputs #:allow-other-keys)
+
                (substitute* "src/installed-media.vala"
+                              (("qemu-img")
+                               (search-input-file inputs "/bin/qemu-img"))))))))
     (native-inputs
      (list desktop-file-utils           ;for update-desktop-database
            gettext-minimal
@@ -12162,6 +12167,7 @@ (define-public gnome-boxes
            sparql-query
            spice-gtk
            tracker
+           qemu-minimal                 ;for qemu-img
            vte
            webkitgtk-with-libsoup2))    ;for webkit2gtk-4.0
     (home-page "https://wiki.gnome.org/Apps/Boxes")
--
2.37.3


--651ad84f02b5d994bc1abd7fad714971453af069d17d493a35a1f683431b
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--651ad84f02b5d994bc1abd7fad714971453af069d17d493a35a1f683431b--

--------41a75fbdeb73b08606a618fc26dde205c80f4ef8f4f65065e36bbe0db569bbd5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMn64EJkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAMrJAPsFQbvCvzceG6j5iWjIyYEJ5ztDncQ8YUk9iEi1rwD/dgEA47cA
1mHGceHv4JiSa+5MHFPAeXEOGtJ+QvxIpaa9yw0=
=DjrL
-----END PGP SIGNATURE-----


--------41a75fbdeb73b08606a618fc26dde205c80f4ef8f4f65065e36bbe0db569bbd5--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 21:50:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 17:50:56 2022
Received: from localhost ([127.0.0.1]:51451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa2Bj-0005Ca-Qx
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:50:56 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:45576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oa2Bh-0005CQ-BM
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:50:54 -0400
Received: from [192.168.81.79] ([188.189.249.226])
 by xavier.telenet-ops.be with bizsmtp
 id MZqq280034tpikC01Zqq8S; Sun, 18 Sep 2022 23:50:51 +0200
Message-ID: <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
Date: Sun, 18 Sep 2022 23:50:49 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Jacob Hrbek <kreyren@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
 <P5DFIR.K7JI549PMIPU2@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
In-Reply-To: <P5DFIR.K7JI549PMIPU2@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------07DerbX0f0JJvPqw0u97LuZY"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1663537851; bh=K+YhRQBrfkiMUETuHwCuTUZSNrykfTAKuaNKl0FlQH0=;
 h=Date:To:Cc:References:From:Subject:In-Reply-To;
 b=GyuX+sL0EfzmXaVCYQ9TIu85WoQqlwg4rjnd5lOQ0oSGZYREKnhej+Z1XlLFLGA5Y
 HuCw8OY2vXY2jd4GyzpTmktRxb3vSUDYrHpXrE8v334alBq2fKDXAQv/Uq/WzG5Vth
 ixO2hN7Q+mk062Na+ofj8VT507LJnVDrDe4E5bGZMvm1sawnHgqih1oXr9zex58eCW
 hFMFb6Wk2zll88hToeYCWQAtkQGTxriqnkZyYezI/dvEIU/+gM1QgWE0hG8hWfyz+j
 X0nIxpG1sP7avhV/yQCM2e9Xzt25FpiVQtSWpLLuOaABRCJIqjD6r6o8fH6dXKcpuH
 7gh6NFleojpWg==
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------07DerbX0f0JJvPqw0u97LuZY
Content-Type: multipart/mixed; boundary="------------NOWHOdF8hUGmvY05BeIAc0o2";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>
Cc: 57809 <at> debbugs.gnu.org
Message-ID: <d9346de3-50d0-85d3-f033-5c06753e846e@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
 <P5DFIR.K7JI549PMIPU2@HIDDEN>
In-Reply-To: <P5DFIR.K7JI549PMIPU2@HIDDEN>

--------------NOWHOdF8hUGmvY05BeIAc0o2
Content-Type: multipart/mixed; boundary="------------La0y9nL2g0BfH7v0gLnqPE6N"

--------------La0y9nL2g0BfH7v0gLnqPE6N
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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==
--------------La0y9nL2g0BfH7v0gLnqPE6N
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------La0y9nL2g0BfH7v0gLnqPE6N--

--------------NOWHOdF8hUGmvY05BeIAc0o2--

--------------07DerbX0f0JJvPqw0u97LuZY
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYyeSuQUDAAAAAAAKCRBJ4+4iGRcl7nd2
AP4/c7r7OopD62vJqMa+a6ifwy4Ah7fQtEznxozDv469KgEArNhjYzkv2e1rWnJzrI2TDKIjc29G
TbIIv5h5x6Bn1AY=
=t4V6
-----END PGP SIGNATURE-----

--------------07DerbX0f0JJvPqw0u97LuZY--




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 21:32:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 17:32:47 2022
Received: from localhost ([127.0.0.1]:51426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa1uB-0004jb-68
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:32:47 -0400
Received: from mail-40136.proton.ch ([185.70.40.136]:44789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa1u7-0004jL-0j
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:32:45 -0400
Date: Sun, 18 Sep 2022 21:32:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663536756; x=1663795956;
 bh=Wu8IzmX65tAzV4lln1ra1ZnUYffgsws5fo1ToIfO1Ig=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=rBApPo7cO9TK+2P3kYkGnoIGPeOaZWxUQ3zLWhFzOqttcpYx+TuHYn1VljhIH/Pm/
 PdBWsqlAMp16m3ngmOeUljRNJKb890R2ZDiXM3vI+OSzDjxOS16JL90Q2JOT95DW9y
 r0h556VwdpURP8LduTs6ITlq9bQB5dQPKompPtR2iNFK1G7SD1/D6JfVjnLRgv4mYW
 C2T0MRK7yYcZ+PlloWxo7t6GD/niTHlI7Q9CqpCzSKb7CLDWoeHZH5999iYXJTjit/
 XIHcyE7fCf2wE0Bqv658ttAK9gOfHXO+unMRAid9zv+oXRaEdTnpjK9by+PtdiNNjY
 aOFqVWHxwMaDw==
To: Maxime Devos <maximedevos@HIDDEN>
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <P5DFIR.K7JI549PMIPU2@HIDDEN>
In-Reply-To: <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
 <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------60de88548a45c5dc67745c1db4c09727689f9a08ee510247482ab782e79874cf";
 charset=utf-8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: 57809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------60de88548a45c5dc67745c1db4c09727689f9a08ee510247482ab782e79874cf
Content-Type: multipart/mixed;
 boundary=6268c19f0acef889cca1e610ab45c47854ce81a5b87896ef80383f0d36f5
Date: Sun, 18 Sep 2022 23:32:13 +0200
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
To: Maxime Devos <maximedevos@HIDDEN>
Cc: 57809 <at> debbugs.gnu.org
Message-Id: <P5DFIR.K7JI549PMIPU2@HIDDEN>
In-Reply-To: <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
	<4WBFIR.MWKWLBB5GNEL1@HIDDEN>
	<QotI49s2cSMOZHOE3GBgFYNnHszOsoJTUT-suz6Wbv2RX3Q0jDnTw23Ckr39jRoaZYsqcQlYtBtI5L6NIoU0-w==@protonmail.internalid>
	<8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
X-Mailer: geary/40.0
MIME-Version: 1.0

--6268c19f0acef889cca1e610ab45c47854ce81a5b87896ef80383f0d36f5
Content-Disposition: 
Content-Type: multipart/alternative; boundary="=-zV2/z6mKbYMzn1RClb0d"

--=-zV2/z6mKbYMzn1RClb0d
Content-Transfer-Encoding: base64
Content-Type: text/plain; charset=UTF-8; format=flowed

T24gTmUsIHrDocWZIDE4IDIwMjIgYXQgMjM6MTQ6MTIgKzAyMDAsIE1heGltZSBEZXZvcyANCjxt
YXhpbWVkZXZvc0B0ZWxlbmV0LmJlPiB3cm90ZToNCj4gSSBmaW5kIChzZWFyY2gtaW5wdXQtZmls
ZSBpbnB1dHMgIi9iaW4vcWVtdS1pbWciKSBjbGVhcmVyIC0tICdpbnB1dHMnIA0KPiAvDQo+ICdu
YXRpdmUtaW5wdXRzJyBpcyBzdWZmaWNpZW50bHkgY29tcGxpY2F0ZWQgb24gaXRzIG93biwgbm8g
bmVlZCB0byANCj4gYnJpbmcNCj4gJWJ1aWxkLWlucHV0cyBhbmQgZnJpZW5kcyBpbiB0aGUgZXF1
YXRpb24gd2hlbiBpdCBjYW4gYmUgYXZvaWRlZC4NCg0KVGhhdCBhaW4ndCB3b3JraW5nIGZvciBt
ZTogPGh0dHBzOi8vaS5pbWd1ci5jb20vQ280WHNqbC5wbmc+DQoNCiAgICB1bmJvdW5kLXZhcmlh
YmxlICNmICJVbmJvdW5kIHZhcmlhYmxlOiB+UyIgKG5hdGl2ZS1pbnB1dHMpICNmDQoNCiA+ICgx
KSB0aGUgY29udmVudGlvbiBpcyBUT0RPIG9yIEZJWE1FLCBub3QgTk9URQ0KDQpJdCdzIG5vdDoN
Ci0gVE9ETyBhcyBpbiAiVG8gRG8gc29tZXRoaW5nIiBvciAiZm9yIHNvbWV0aGluZyB0byBiZSBk
b25lIg0KLSBGSVhNRSBhcyBpbiAiTG93IHByaW9yaXR5IHRoaW5nIG9yIHF1YWxpdHkgYXNzdXJh
bmNlIHNvbWV0aGluZyB0aGF0IA0KbmVlZHMgdG8gYmUgZml4ZWQiDQoNCk1vcmUgbGlrZSBoYW5k
aW5nIG92ZXIgbm90ZSB0byB0aGUgbmV4dCBndXkgYWJvdXQgcG9zc2libGUgaXNzdWUgaW4gdGhl
IA0KZnV0dXJlIGFuZCBsZWF2aW5nIHRoZSBzaWduYXR1cmUgaGVyZSBzbyB0aGF0IHRoZXkgY2Fu
IGp1c3QgZ28gb24gY2hhdCANCmFuZCBhc2sgaW5zdGVhZCBvZiB3YXN0aW5nIH4zIG1pbiBvbiBh
dmVyYWdlIHNlYXJjaGluZyBnaXQgYmxhbWUvbG9nIA0Kd2hpY2ggZ2V0cyBleHBvbmVudGlhbGx5
IG1vcmUgdW5zdXN0YWluYWJsZSB0byB0cmFjaw0KDQpBdCBsZWFzdCB0aGF0J3MgaG93IGl0IHdv
cmtzIHdoZXJlIGkgd29yayBPX28gLi4gcGVyc29uYWxseSBpIGZpbmQgaXQgDQpiZXR0ZXIgd2F5
IHRoYW4gdGhlIGdlbmVyaWMgVE9ETy9GSVhNRQ0KDQo=
--=-zV2/z6mKbYMzn1RClb0d
Content-Transfer-Encoding: base64
Content-Type: text/html; charset=UTF-8

PGh0bWw+PGhlYWQ+PC9oZWFkPjxib2R5PjxkaXYgaWQ9ImdlYXJ5LWJvZHkiIGRpcj0iYXV0byI+
T24gTmUsIHrDocWZIDE4IDIwMjIgYXQgMjM6MTQ6MTIgKzAyMDAsIE1heGltZSBEZXZvcyAmbHQ7
bWF4aW1lZGV2b3NAdGVsZW5ldC5iZSZndDsgd3JvdGU6PGJyLz48YmxvY2txdW90ZSB0eXBlPSJj
aXRlIj48ZGl2IGNsYXNzPSJwbGFpbnRleHQiIHN0eWxlPSJ3aGl0ZS1zcGFjZTogYnJlYWstc3Bh
Y2VzOyI+SSBmaW5kIChzZWFyY2gtaW5wdXQtZmlsZSBpbnB1dHMgJiMzNDsvYmluL3FlbXUtaW1n
JiMzNDspIGNsZWFyZXIgLS0gJiMzOTtpbnB1dHMmIzM5OyAvIAomIzM5O25hdGl2ZS1pbnB1dHMm
IzM5OyBpcyBzdWZmaWNpZW50bHkgY29tcGxpY2F0ZWQgb24gaXRzIG93biwgbm8gbmVlZCB0byBi
cmluZyAKJWJ1aWxkLWlucHV0cyBhbmQgZnJpZW5kcyBpbiB0aGUgZXF1YXRpb24gd2hlbiBpdCBj
YW4gYmUgYXZvaWRlZC4KPC9kaXY+PC9ibG9ja3F1b3RlPjxkaXY+PGJyLz48L2Rpdj48ZGl2PlRo
YXQgYWluJiMzOTt0IHdvcmtpbmcgZm9yIG1lOsKgPGEgaHJlZj0iaHR0cHM6Ly9pLmltZ3VyLmNv
bS9DbzRYc2psLnBuZyI+aHR0cHM6Ly9pLmltZ3VyLmNvbS9DbzRYc2psLnBuZzwvYT48YnIvPjxi
ci8+wqAgwqAgdW5ib3VuZC12YXJpYWJsZSAjZiAmIzM0O1VuYm91bmQgdmFyaWFibGU6IH5TJiMz
NDsgKG5hdGl2ZS1pbnB1dHMpICNmPGJyLz48c3BhbiBzdHlsZT0id2hpdGUtc3BhY2U6IGJyZWFr
LXNwYWNlczsiPgomZ3Q7ICgxKSB0aGUgY29udmVudGlvbiBpcyBUT0RPIG9yIEZJWE1FLCBub3Qg
Tk9URQoKSXQmIzM5O3Mgbm90OgotIFRPRE8gYXMgaW4gJiMzNDtUbyBEbyBzb21ldGhpbmcmIzM0
OyBvciAmIzM0O2ZvciBzb21ldGhpbmcgdG8gYmUgZG9uZSYjMzQ7Ci0gRklYTUUgYXMgaW4gJiMz
NDtMb3cgcHJpb3JpdHkgdGhpbmcgb3IgcXVhbGl0eSBhc3N1cmFuY2Ugc29tZXRoaW5nIHRoYXQg
bmVlZHMgdG8gYmUgZml4ZWQmIzM0Ozwvc3Bhbj48L2Rpdj48ZGl2PjxzcGFuIHN0eWxlPSJ3aGl0
ZS1zcGFjZTogYnJlYWstc3BhY2VzOyI+Ck1vcmUgbGlrZSBoYW5kaW5nIG92ZXIgbm90ZSB0byB0
aGUgbmV4dCBndXkgYWJvdXQgcG9zc2libGUgaXNzdWUgaW4gdGhlIGZ1dHVyZSBhbmQgbGVhdmlu
ZyB0aGUgc2lnbmF0dXJlIGhlcmUgc28gdGhhdCB0aGV5IGNhbiBqdXN0IGdvIG9uIGNoYXQgYW5k
IGFzayBpbnN0ZWFkIG9mIHdhc3RpbmcgfjMgbWluIG9uIGF2ZXJhZ2Ugc2VhcmNoaW5nIGdpdCBi
bGFtZS9sb2cgd2hpY2ggZ2V0cyBleHBvbmVudGlhbGx5IG1vcmUgdW5zdXN0YWluYWJsZSB0byB0
cmFjawoKQXQgbGVhc3QgdGhhdCYjMzk7cyBob3cgaXQgd29ya3Mgd2hlcmUgaSB3b3JrIE9fbyAu
LiBwZXJzb25hbGx5IGkgZmluZCBpdCBiZXR0ZXIgd2F5IHRoYW4gdGhlIGdlbmVyaWMgVE9ETy9G
SVhNRTwvc3Bhbj48L2Rpdj48L2Rpdj48L2JvZHk+PC9odG1sPg==
--=-zV2/z6mKbYMzn1RClb0d--

--6268c19f0acef889cca1e610ab45c47854ce81a5b87896ef80383f0d36f5
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--6268c19f0acef889cca1e610ab45c47854ce81a5b87896ef80383f0d36f5--

--------60de88548a45c5dc67745c1db4c09727689f9a08ee510247482ab782e79874cf
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMnjmsJkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAGCOAQC+/T8Wno499hqbLhJirryzlqNYmtiyi2kIx1PPdYmrqgEAxcdu
WPD9EaIZtAtwyiNnSbsN40lVYNMDv9KO8aN8fAg=
=Z6HR
-----END PGP SIGNATURE-----


--------60de88548a45c5dc67745c1db4c09727689f9a08ee510247482ab782e79874cf--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 21:14:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 17:14:25 2022
Received: from localhost ([127.0.0.1]:51412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa1cP-0004GQ-4B
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:14:25 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:40936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oa1cI-0004GB-3b
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:14:23 -0400
Received: from [192.168.81.79] ([188.189.249.226])
 by andre.telenet-ops.be with bizsmtp
 id MZED280044tpikC01ZEEvs; Sun, 18 Sep 2022 23:14:14 +0200
Message-ID: <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
Date: Sun, 18 Sep 2022 23:14:12 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
In-Reply-To: <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------rA145Q8TzJn95RrUzT6YevWx"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1663535655; bh=cWPoVI8Vb5hjPPOOushuqG3bGMzWf/rsRUIBbDmwMVk=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=R7kejiHtvVqlYnCxhrUaPKobA5cGnxZadIAj/uH9WvpEc7lURsaeup1rOmLvdEzMe
 8wlBdDOftAaUC36+YwBWvLjUJJMVJYpiuD/LTSzQhvGN+8peD1VwSzJVF7O/Ku2/Qk
 3fR76p8i/9Jf46Qw5mmnyklDAi00ps8GvEBAraG1ZWfPu7znrq28wsD6pVCXpSEWrm
 fkaHG4U71aTRrbxKc308uzppzOeH0j32650/z9SgdAlRw/WKn+5KmO/KgVoM6CHz+m
 ZtNeJ6Dp/dR6btzSKH5cyTOJcizS5+4gpwKF5WSR6Eas/YshL9dzObik2i4CxjRnVV
 FqSPNSdygb0sg==
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------rA145Q8TzJn95RrUzT6YevWx
Content-Type: multipart/mixed; boundary="------------oZaWon3K01QcnujYhxgniFe0";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
Message-ID: <8c563d18-53eb-49ef-467f-29c3d242fea6@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Patch 'qemu-img' path
References: <20220918204335.1734-1-kreyren@HIDDEN>
 <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
In-Reply-To: <4WBFIR.MWKWLBB5GNEL1@HIDDEN>

--------------oZaWon3K01QcnujYhxgniFe0
Content-Type: multipart/mixed; boundary="------------UYYG5tXwcEJpp6oQXVPRrocF"

--------------UYYG5tXwcEJpp6oQXVPRrocF
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQoNCk9uIDE4LTA5LTIwMjIgMjM6MDUsIEphY29iIEhyYmVrIHdyb3RlOg0KPiBpc24ndCB0
aGF0IGdvaW5nIHRvIGJyZWFrIGlmIHRoZSB1c2VyIGludm9rZXMgYGd1aXggY2cgLURgIHRo
b3VnaD8NCg0KTm8sICJndWl4IGdjIiBvbmx5IGRlbGV0ZXMgdGhpbmdzIHRoYXQgYXJlbid0
IChpbmRpcmVjdGx5KSByZWZlcnJlZCB0byANCmJ5IGEgcm9vdCAoYmVpbmcgYSBnYXJiYWdl
IGNvbGxlY3RvciksIGFuZCBieSBhZGRpbmcgdGhhdCBzdWJzdGl0dXRpb24sIA0KdGhlIGNv
bXBpbGVkIGdub21lLWJveGVzIHJlZmVycyB0byBxZW11KC1taW5pbWFsKS4NCg0KKFVubGVz
cyB0aGUgcmVmZXJlbmNlIGlzIG9iZnVzY2F0ZWQsIGJ1dCBWYWxhIGhhcyBhIEMtbGlrZSBj
b21waWxhdGlvbiANCm1vZGVsLCBzbyBJIHdvdWxkbid0IGV4cGVjdCB0aGF0LikNCg0KPiAr
ICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgKHN1YnN0aXR1dGUqICJzcmMvaW5zdGFs
bGVkLW1lZGlhLnZhbGEiDQo+ICsgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICgo
InFlbXUtaW1nIikNCj4gKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIChzZWFy
Y2gtaW5wdXQtZmlsZSAlYnVpbGQtaW5wdXRzICIvYmluL3FlbXUtaW1nIikpKSkpKSkpDQoN
CkkgZmluZCAoc2VhcmNoLWlucHV0LWZpbGUgaW5wdXRzICIvYmluL3FlbXUtaW1nIikgY2xl
YXJlciAtLSAnaW5wdXRzJyAvIA0KJ25hdGl2ZS1pbnB1dHMnIGlzIHN1ZmZpY2llbnRseSBj
b21wbGljYXRlZCBvbiBpdHMgb3duLCBubyBuZWVkIHRvIGJyaW5nIA0KJWJ1aWxkLWlucHV0
cyBhbmQgZnJpZW5kcyBpbiB0aGUgZXF1YXRpb24gd2hlbiBpdCBjYW4gYmUgYXZvaWRlZC4N
Cg0KPiArOzsgTk9URShLcmV5KTogc3JjL3V0aWwtYXBwLnZhbGEgbWlnaHQgbmVlZCBwYXRj
aGVkIHBhdGhzDQoNCigxKSB0aGUgY29udmVudGlvbiBpcyBUT0RPIG9yIEZJWE1FLCBub3Qg
Tk9URQ0KKDIpIHdobyBkaXNjb3ZlcmVkIHRoZSBwb3RlbnRpYWwgcHJvYmxlbSwgZG9lcyBu
b3QgbmVlZCB0byBiZSBtZW50aW9uZWQgDQotLSB0aGVyZSBpcyBzdGlsbCAiZ2l0IGJsYW1l
IiAod2hpY2ggY2FuIGJlIHVzZWQgZm9yIG90aGVyIHRoaW5ncyB0aGFuIA0KYmxhbWluZykg
YW5kICJnaXQgbG9nIiBpZiBpdCB0dXJucyBvdXQgdG8gYmUgc29tZWhvdyB1c2VmdWwgaW5m
b3JtYXRpb24gDQphZnRlciBhbGwgKGUuZy4gZm9yIGF0dHJpYnV0aW9uKS4NCg0KR3JlZXRp
bmdzLA0KTWF4aW1lLg0K
--------------UYYG5tXwcEJpp6oQXVPRrocF
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------UYYG5tXwcEJpp6oQXVPRrocF--

--------------oZaWon3K01QcnujYhxgniFe0--

--------------rA145Q8TzJn95RrUzT6YevWx
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYyeKJAUDAAAAAAAKCRBJ4+4iGRcl7k3U
AQD0MjmShmwXXieT7hWqEeL8s59K5Tv/dVgxe/1jrOJRMgD8DwBJiTgldGtZaR++KMq5JNXhtjXp
SRURuYZ/M1Hi6QA=
=1HMQ
-----END PGP SIGNATURE-----

--------------rA145Q8TzJn95RrUzT6YevWx--




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 21:05:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 17:05:22 2022
Received: from localhost ([127.0.0.1]:51406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa1Td-00042r-Va
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:05:22 -0400
Received: from mail-4018.proton.ch ([185.70.40.18]:60677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa1Ta-00042Z-AM
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 17:05:20 -0400
Date: Sun, 18 Sep 2022 21:05:03 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663535110; x=1663794310;
 bh=/jtzmbfloR+Yb70KEwNFbilPJmWuL8O6JDtgULwUNTU=;
 h=Date:To:From:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID;
 b=KLIuxNYO5+APcihEmNNKw+ZSJD3ffaYNe4uItAfSnzpdygFOTtGHyZ/1GkvC/kg4V
 n2KoIv5P81Z78dU8lWsaX2zb7n2jPUCyfQCevheLXt3URwhtVwOQW338N5WATk0j4N
 ERzD4Bhz77BV9frbQzQSLlgNgyyitF2bphZgEU8C+iMe9mSpqL6i6SSdcVeMhZZu4v
 kRhRn0dyzoBzee5XQwqtcTv8N9RqM0/VDDPs65U4yB4oPkkHi+GTULR2H4cVM2rrYd
 FZRJqvcZmZuQr3JiCo3FM+39MexyGCCDkc+9tGZzV2M7zbSUUnLbi/Qevnh+/2ge/f
 22hJT66qxtPWA==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
In-Reply-To: <20220918204335.1734-1-kreyren@HIDDEN>
References: <20220918204335.1734-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------74a42eb72828c1ee8a39aa840e57ab7f268f3088d25baa08d6a1436e2878191a";
 charset=utf-8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------74a42eb72828c1ee8a39aa840e57ab7f268f3088d25baa08d6a1436e2878191a
Content-Type: multipart/mixed;
 boundary=ca54dd77d2c207c7c9cd2d4830a5688c2da430d75ca04aa19ee83036d100
Date: Sun, 18 Sep 2022 23:04:52 +0200
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: Re: [PATCH] gnome-boxes: Patch 'qemu-img' path
To: 57809 <at> debbugs.gnu.org
Message-Id: <4WBFIR.MWKWLBB5GNEL1@HIDDEN>
In-Reply-To: <20220918204335.1734-1-kreyren@HIDDEN>
References: 	<aaY2HD5pv85WilD47yOGfDShokEVGc-sZyFdDrIMwZrXJLRRUBpbtKT3flypYKpr55CRGP0Xx2jo6vQ-nFA7PA==@protonmail.internalid>
	<20220918204335.1734-1-kreyren@HIDDEN>
X-Mailer: geary/40.0
MIME-Version: 1.0

--ca54dd77d2c207c7c9cd2d4830a5688c2da430d75ca04aa19ee83036d100
Content-Disposition: 
Content-Type: multipart/alternative; boundary="=-kTK/+KvfklcHKhAD+jw3"

--=-kTK/+KvfklcHKhAD+jw3
Content-Transfer-Encoding: base64
Content-Type: text/plain; charset=UTF-8; format=flowed
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--=-kTK/+KvfklcHKhAD+jw3
Content-Transfer-Encoding: base64
Content-Type: text/html; charset=UTF-8
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--=-kTK/+KvfklcHKhAD+jw3--

--ca54dd77d2c207c7c9cd2d4830a5688c2da430d75ca04aa19ee83036d100
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--ca54dd77d2c207c7c9cd2d4830a5688c2da430d75ca04aa19ee83036d100--

--------74a42eb72828c1ee8a39aa840e57ab7f268f3088d25baa08d6a1436e2878191a
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMnh/4JkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAANAaAQDfEFfCagSKhh4DLhoQ9qVfNG05zBVeYjyLD/f8ki2RcAD7BLhl
f5HajlQ9jVa6m//eVuk7puSjdu0Rt4gUATYmpAs=
=Iaco
-----END PGP SIGNATURE-----


--------74a42eb72828c1ee8a39aa840e57ab7f268f3088d25baa08d6a1436e2878191a--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 20:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 16:47:57 2022
Received: from localhost ([127.0.0.1]:51397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa1Cn-0003c0-1c
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:47:57 -0400
Received: from mail-4018.proton.ch ([185.70.40.18]:28547)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa1Cl-0003bU-EQ
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:47:55 -0400
Date: Sun, 18 Sep 2022 20:47:42 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663534069; x=1663793269;
 bh=rFXMzx6dOBR6TAe2Nn/Dqc0ydvFHCPnGMkvMDRUJptw=;
 h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=XHXtqMDfC7QeFZDUUnmrNcVdB40kz1s/mIdLMm3dZ98BACGVaPl8cAoP2OReOWQXF
 J1L+mhSfHbjfgStaD/E2EFgbu+rjMmDIPvypErYHeVdHndj5NxnO5yO/6K0vpXIx9t
 gB7nRqIG/BxhPl2oU4RVz5zRBC4IniWalgaNhWp/u1hhBeTmRTFm9vtsORcStGDU6M
 sbX9HzSpNfwUGXrvnYn0N2kXh2zChv15vMBv7XHKIgCjoQIjOmCoKi2ku4Hq82gZz1
 GrQ/JsuIYSEyQzChnn8P/pjtlTmdY68tKSPlMCXlSUa/0huuZID/nItfDijX+mnoec
 A9HnLeS9t/GUA==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Add 'qemu' as propagated-input
Message-ID: <A3BFIR.1GM88ZHKIZZY1@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------2991964a03c7df82d132ac715cc386ddff41cd04862bd832aedbd0e9618b656a";
 charset=utf-8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------2991964a03c7df82d132ac715cc386ddff41cd04862bd832aedbd0e9618b656a
Content-Type: multipart/mixed;
 boundary=d0581db4ac24b1fccf540e75d16d4e35a0f2e37345697f2288242bb50dfa
Date: Sun, 18 Sep 2022 22:47:34 +0200
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Add 'qemu' as propagated-input
To: 57809 <at> debbugs.gnu.org
Message-Id: <A3BFIR.1GM88ZHKIZZY1@HIDDEN>
X-Mailer: geary/40.0
MIME-Version: 1.0

--d0581db4ac24b1fccf540e75d16d4e35a0f2e37345697f2288242bb50dfa
Content-Disposition: 
Content-Type: multipart/alternative; boundary="=-qYggGeb7P0HG5dRwEX49"

--=-qYggGeb7P0HG5dRwEX49
Content-Type: text/plain; charset=UTF-8; format=flowed

While looking through the code i've noticed a path using /etc/.. so i
added a note about it so two patches one with the note and one without
it


--=-qYggGeb7P0HG5dRwEX49
Content-Type: text/html; charset=UTF-8

<html><head></head><body><div id="geary-body" dir="auto">While looking through the code i&#39;ve noticed a path using /etc/.. so i added a note about it so two patches one with the note and one without it<br/></div></body></html>
--=-qYggGeb7P0HG5dRwEX49--

--d0581db4ac24b1fccf540e75d16d4e35a0f2e37345697f2288242bb50dfa
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--d0581db4ac24b1fccf540e75d16d4e35a0f2e37345697f2288242bb50dfa--

--------2991964a03c7df82d132ac715cc386ddff41cd04862bd832aedbd0e9618b656a
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMng+4JkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAPFIAQC2TN8Y/8yuSPFyCE5hlDOHPEKcatBJ6atdTiN3iIwsMwD/Rkc/
C6YbZ+pnuqUs6yO0EssHP6+VEJDLm1Szc/3YSgQ=
=edy/
-----END PGP SIGNATURE-----


--------2991964a03c7df82d132ac715cc386ddff41cd04862bd832aedbd0e9618b656a--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 20:46:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 16:46:54 2022
Received: from localhost ([127.0.0.1]:51392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa1Bm-0003Yu-N2
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:46:54 -0400
Received: from mail-4323.proton.ch ([185.70.43.23]:34197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa1Bj-0003Ye-48
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:46:53 -0400
Date: Sun, 18 Sep 2022 20:46:35 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663534004; x=1663793204;
 bh=dIlXkOZTLnorUbnnxKf8KbhtPxGS++vr7gxEU7BZyjo=;
 h=Date:To:From:Cc:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=nxNNVd/JADdqBOFY0h9bQP9uspvoukfllWQNfHbGzu3OHA5Hbbt+LDHM7FZ2t8Ues
 PJR31G8DAZ2TIGmTRXHZRsV4wdYzO0w0urwhvL6DF/2HJV8T6/wXW7sCrrPai/w4TP
 tfP9416DY5CL1yUOV5yhlmooxUm+J9OMnwhqwTAs+XhjpvSz7nWeLJspU6Y/Te29Vu
 lCCBH1H1hIjOALTf+UckNTHnfYlcsCziZtsdKlDSikO4VRCWgOzoXLagHoUjpyAMuE
 SgAKLxbk3i1ZQKWPQsSD6ewf+7PiNHbJm2lRvqqd+SabfzH9OhZhuL54HmMZf6yAvR
 n4E3/cXdtXXeQ==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <20220918204629.10703-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------30ebeece64649e1c0688e11aac388ae8e76660929c75def109cec19fc7883280";
 charset=utf-8
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: Jacob Hrbek <kreyren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------30ebeece64649e1c0688e11aac388ae8e76660929c75def109cec19fc7883280
Content-Type: multipart/mixed;
 boundary=55b1bd09f25bd255e8651899e876a741bcfee741ceaf6b0e006318666f57
From: Jacob Hrbek <kreyren@HIDDEN>
To: 57809 <at> debbugs.gnu.org
Cc: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Date: Sun, 18 Sep 2022 22:46:29 +0200
Message-Id: <20220918204629.10703-1-kreyren@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0

--55b1bd09f25bd255e8651899e876a741bcfee741ceaf6b0e006318666f57
Content-Transfer-Encoding: 8bit
Content-Disposition: 
Content-Type: text/plain; charset=UTF-8

---
 gnu/packages/gnome.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d6d22f8eb1..d9cfa5ebed 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12133,7 +12133,12 @@ (define-public gnome-boxes
            #:phases #~(modify-phases %standard-phases
                         (add-after 'unpack 'disable-gtk-update-icon-cache
                           (lambda _
-                            (setenv "DESTDIR" "/"))))))
+                            (setenv "DESTDIR" "/")))
+                        (add-before 'configure 'substitute-qemu-dependencies
+                          (lambda _
+                              (substitute* "src/installed-media.vala"
+                                (("qemu-img")
+                                 (search-input-file %build-inputs "/bin/qemu-img"))))))))
     (native-inputs
      (list desktop-file-utils           ;for update-desktop-
database
            gettext-minimal
@@ -12141,6 +12146,7 @@ (define-public gnome-boxes
            itstool
            pkg-config
            python
+           qemu-minimal                 ;for qemu-img
            vala))
     (inputs
      (list glib-networking              ;for TLS support
--
2.37.1


--55b1bd09f25bd255e8651899e876a741bcfee741ceaf6b0e006318666f57
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--55b1bd09f25bd255e8651899e876a741bcfee741ceaf6b0e006318666f57--

--------30ebeece64649e1c0688e11aac388ae8e76660929c75def109cec19fc7883280
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMng6oJkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAN2PAP9aJCpczW1lJyzROKGFer7b8emOU2Ry2TEPshlf9YdrWwD/cDOH
ZVDelLY99b8BNYFsxQ3vJ32mqHSzwh2oZHp6pQA=
=HgY8
-----END PGP SIGNATURE-----


--------30ebeece64649e1c0688e11aac388ae8e76660929c75def109cec19fc7883280--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 18 Sep 2022 20:44:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 16:44:08 2022
Received: from localhost ([127.0.0.1]:51387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oa196-0003Ub-5Y
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:44:08 -0400
Received: from mail-4018.proton.ch ([185.70.40.18]:39551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oa18z-0003Tu-Jg
 for 57809 <at> debbugs.gnu.org; Sun, 18 Sep 2022 16:44:07 -0400
Date: Sun, 18 Sep 2022 20:43:43 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663533834; x=1663793034;
 bh=c9V1TQMmWRwL2+kgizZiXUd4gDyUkn03dRmq1PBxdFM=;
 h=Date:To:From:Cc:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=TVlwouNxV3dOskNmC0NDHM7DoBz0smtgU1UsR6+sDf2Nqwt5SBOhyILKzGBDBLe2a
 /PIa92qp538bCy8cJWtgDa6wdwNPsocFqJ6NdzgH4wvnZw0GHzj3HIJiQ13RhnyQuU
 YdDzIxeqxaCq6L8qGCgYb74XXgtXChCvm6epalIkuK78+DtnlCeVKkMfxIQwaevFsT
 vUubMWenSwP6RSdcw2JIbmAMUQEMRHGq3XieLTH0BKW5zpB/Isf3w4kL4T6L53gN8/
 3CwGutmzPkw4ay2UQXRjsHz/WJ8BWVxyZScr7T2Bt9BykswfuNX33kBSJ8yk0yN82K
 +Nhgo3Eaj+Kjw==
To: 57809 <at> debbugs.gnu.org
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Message-ID: <20220918204335.1734-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------61d16da9108425707aa2e766cbf3bf586d42f83257d924607a4735c0d26a3569";
 charset=utf-8
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57809
Cc: Jacob Hrbek <kreyren@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------61d16da9108425707aa2e766cbf3bf586d42f83257d924607a4735c0d26a3569
Content-Type: multipart/mixed;
 boundary=f0f1c415eecf4e98593e3a0409165e1edfd88c90e4937f3a0ebc06742532
From: Jacob Hrbek <kreyren@HIDDEN>
To: 57809 <at> debbugs.gnu.org
Cc: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Patch 'qemu-img' path
Date: Sun, 18 Sep 2022 22:43:35 +0200
Message-Id: <20220918204335.1734-1-kreyren@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0

--f0f1c415eecf4e98593e3a0409165e1edfd88c90e4937f3a0ebc06742532
Content-Transfer-Encoding: 8bit
Content-Disposition: 
Content-Type: text/plain; charset=UTF-8

---
 gnu/packages/gnome.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index d6d22f8eb1..89f5999920 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12111,6 +12111,7 @@ (define-public polari
     (home-page "https://wiki.gnome.org/Apps/Polari")
     (license license:gpl2+)))

+;; NOTE(Krey): src/util-app.vala might need patched paths
 (define-public gnome-boxes
   (package
     (name "gnome-boxes")
@@ -12133,7 +12134,12 @@ (define-public gnome-boxes
            #:phases #~(modify-phases %standard-phases
                         (add-after 'unpack 'disable-gtk-update-icon-cache
                           (lambda _
-                            (setenv "DESTDIR" "/"))))))
+                            (setenv "DESTDIR" "/")))
+                        (add-before 'configure 'substitute-qemu-dependencies
+                          (lambda _
+
    (substitute* "src/installed-media.vala"
+                                (("qemu-img")
+                                 (search-input-file %build-inputs "/bin/qemu-img"))))))))
     (native-inputs
      (list desktop-file-utils           ;for update-desktop-database
            gettext-minimal
@@ -12141,6 +12147,7 @@ (define-public gnome-boxes
            itstool
            pkg-config
            python
+           qemu-minimal                 ;for qemu-img
            vala))
     (inputs
      (list glib-networking              ;for TLS support
--
2.37.1


--f0f1c415eecf4e98593e3a0409165e1edfd88c90e4937f3a0ebc06742532
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--f0f1c415eecf4e98593e3a0409165e1edfd88c90e4937f3a0ebc06742532--

--------61d16da9108425707aa2e766cbf3bf586d42f83257d924607a4735c0d26a3569
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMngv0JkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAEeIAP9+EpzcgIPzWFH+BaXvf5RMbBzwZXJMpEeNHckGKdnf2wD/U/jX
CvSHLBFIpKhC+x13jKTnR03Vvn/D/1yk75pWSwE=
=qLpe
-----END PGP SIGNATURE-----


--------61d16da9108425707aa2e766cbf3bf586d42f83257d924607a4735c0d26a3569--





Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at 57809 <at> debbugs.gnu.org:


Received: (at 57809) by debbugs.gnu.org; 15 Sep 2022 13:03:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 15 09:03:31 2022
Received: from localhost ([127.0.0.1]:57450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYoWh-0006nM-BR
	for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 09:03:31 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:35818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oYoWe-0006nC-2s
 for 57809 <at> debbugs.gnu.org; Thu, 15 Sep 2022 09:03:29 -0400
Received: from [192.168.2.79] ([213.119.230.141])
 by baptiste.telenet-ops.be with bizsmtp
 id LD3P2800633hjAD01D3Rmm; Thu, 15 Sep 2022 15:03:26 +0200
Message-ID: <706db9e7-4906-525c-5ccb-84580ce71392@HIDDEN>
Date: Thu, 15 Sep 2022 15:03:21 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Add 'qemu' as propagated-input
Content-Language: en-US
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
References: <20220914181624.13204-1-kreyren@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <20220914181624.13204-1-kreyren@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------QkCJXhOG9pCzYDBXKtsrjZvK"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1663247006; bh=xMFURuS2URPZ2Oc2D3osREobu76dgmoSD05R1wK5XwY=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=ABNg2bW/aNFpm5B3TaUjup5OODqrohJ5zS3AOMPvPMnQTjIEJta4mSrsW/3hACVdQ
 SOdtOkm/cy5qoxQr7IBE26m1nbgwe0Gzl/y8zuIhrFggbTBT5ZbQd+lHyNow+vJ0Zc
 NESfNG+Ut6AzzCGK4C3tQ/RkFSm0Mrhl1eXsc1+Hac6svSKC0PoG0RGZG/dAXHNf3l
 X2K/UNNPqAZIkxuy3sIhWogMt5Rw6NsUjnhh8dMCBLca26QJvRYEgU2x3J6cYwFoZw
 uB9taPqlqRt5AwGjMghssN+n+oIKpXB83aUn8JkVfCTKFgIpAo/hjVjKT32t6Giquq
 +WQHW6SqvOO6Q==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------QkCJXhOG9pCzYDBXKtsrjZvK
Content-Type: multipart/mixed; boundary="------------9fxzcmaV80dguQW0kqTSFQS0";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Jacob Hrbek <kreyren@HIDDEN>, 57809 <at> debbugs.gnu.org
Message-ID: <706db9e7-4906-525c-5ccb-84580ce71392@HIDDEN>
Subject: Re: [bug#57809] [PATCH] gnome-boxes: Add 'qemu' as propagated-input
References: <20220914181624.13204-1-kreyren@HIDDEN>
In-Reply-To: <20220914181624.13204-1-kreyren@HIDDEN>

--------------9fxzcmaV80dguQW0kqTSFQS0
Content-Type: multipart/mixed; boundary="------------hQ8cVi0xh99sgR3GyCmymqRH"

--------------hQ8cVi0xh99sgR3GyCmymqRH
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

T24gMTQtMDktMjAyMiAyMDoxNywgSmFjb2IgSHJiZWsgd3JvdGU6DQo+IEZpeGVzOg0KPiAN
Cj4gKGdub21lLWJveGVzOjkzMDQpOiBCb3hlcy1XQVJOSU5HICoqOiAxOTo1NDoyOS4zNDU6
IHJldmlldy1wYWdlLnZhbGE6MzI6IEJveCBzZXR1cCBmYWlsZWQ6IEZhaWxlZCB0byBjcmVh
dGUgdm9sdW1lOiBpbnRlcm5hbCBlcnJvcjogY3JlYXRpb24gb2Ygbm9uLXJhdyBmaWxlIGlt
YWdlcyBpcyBub3Qgc3VwcG9ydGVkIHdpdGhvdXQgcWVtdS1pbWcuDQo+IA0KPiAoZ25vbWUt
Ym94ZXM6OTMwNCk6IEJveGVzLUNSSVRJQ0FMICoqOiAxOTo1NDoyOS4zNDU6IGJveGVzX2Fz
c2lzdGFudF9yZXZpZXdfcGFnZV9wb3B1bGF0ZTogYXNzZXJ0aW9uICdtYWNoaW5lICE9IE5V
TEwnIGZhaWxlZA0KPiANCj4gU3RlcHMgdG8gcmVwcm9kdWNlOg0KPiAxLiBPcGVuIGdub21l
LWJveGVzIG9uIEdOVSBHdWl4DQo+IDIuIFRyeSB0byBjcmVhdGUgYSBib3ggd2l0aCBHTlUg
R3VpeCBJU08gYW5kIGV4cGVjdCBmYWlsdXJlIGFib3ZlDQo+IA0KPiANCg0KSW5zdGVhZCBv
ZiBwcm9wYWdhdGlvbiwgSSByZWNvbW1lbmQgZG9pbmcgYSBzdWJzdGl0dXRlKiBpbnN0ZWFk
LCB0byANCmF2b2lkIHRoZSB1c3VhbCBkb3duc2lkZXMgb2YgcHJvcGFnYXRpb24uICBTZWFy
Y2hpbmcgZm9yICdxZW11LWltZycgaW4gDQp0aGUgc291cmNlIGNvZGUgb2YgZ25vbWUtYm94
ZXMgKHdpdGggdGFyLCBncmVwIC1yRiBhbmQgZ3VpeCBidWlsZCANCi0tc291cmNlKSwgSSBm
b3VuZDoNCg0Kc3JjL2luc3RhbGxlZC1tZWRpYS52YWxhOiAgICAgICAgc3RyaW5nW10gYXJn
diA9IHsgInFlbXUtaW1nIiwgDQoiY29udmVydCIsICItTyIsICJxY293MiIsIGRldmljZV9m
aWxlLCBkZXN0aW5hdGlvbl9wYXRoIH07DQoNCkNvdWxkIHlvdSBzdWJzdGl0dXRlKiAicWVt
dS1pbWciIC0+IChzZWFyY2gtaW5wdXQtZmlsZSBpbnB1dHMgDQoiYmluL3FlbXUtaW1nIikg
YW5kIG1vdmUgUUVNVSBmcm9tICdwcm9wYWdhdGVkLWlucHV0cycgdG8gJ2lucHV0cycuDQoN
CkdyZWV0aW5ncywNCk1heGltZS4NCg==
--------------hQ8cVi0xh99sgR3GyCmymqRH
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------hQ8cVi0xh99sgR3GyCmymqRH--

--------------9fxzcmaV80dguQW0kqTSFQS0--

--------------QkCJXhOG9pCzYDBXKtsrjZvK
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYyMimQUDAAAAAAAKCRBJ4+4iGRcl7odC
AP4xPYtqdrRq00XJYAkVziLQMoM6OL59iPMdDNGNIvAj6wD/de/4lTWNfL6kTUigWmAb9OIoFfX+
6Lq+mL6V+J9GrgU=
=p8k9
-----END PGP SIGNATURE-----

--------------QkCJXhOG9pCzYDBXKtsrjZvK--




Information forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Sep 2022 18:18:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 14:18:10 2022
Received: from localhost ([127.0.0.1]:56150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYWxd-0006CC-Sy
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 14:18:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:56598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kreyren@HIDDEN>) id 1oYWxc-0006C5-1F
 for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 14:18:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51088)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kreyren@HIDDEN>)
 id 1oYWxb-0007sk-ST
 for guix-patches@HIDDEN; Wed, 14 Sep 2022 14:18:07 -0400
Received: from mail-4018.proton.ch ([185.70.40.18]:32165)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kreyren@HIDDEN>)
 id 1oYWxW-0002EK-Nu
 for guix-patches@HIDDEN; Wed, 14 Sep 2022 14:18:06 -0400
Date: Wed, 14 Sep 2022 18:17:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rixotstudio.cz;
 s=protonmail; t=1663179478; x=1663438678;
 bh=XTzR64cOFnDkcsIyFX1Aej+BtjIHg0hTGy6Q53YdALM=;
 h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date:
 Subject:Reply-To:Feedback-ID:Message-ID;
 b=irUePR0Hqqnmksj3CUKwQLI5HfaheR/IHtSolGjZ5Tq2MHjLBquERQIFxa1AVykMO
 JaPQLtlr4FBmida+/VTpgaNO1Jmtv1ea+TD1yqya3pyoIv+oc3nEXZW1+OmGjyCcOO
 yL1dtzLGuWaKv1mpfJHVRIt2fs6PJLN6EbwG22iGpPzGsVgSv2dDuTvVRNgmCP+Hft
 +XLWX23rcVDGvVCL6m6R3GCCeMq0rRkOtWhga32DReKJ6GVVh3HSG9pS/kJXeer4sz
 RYqaf2SL6ar45imivExsJ7PtTVEQ5Tl0kWIasWv13e+mnJiNi9aEvLg6yI0T3dn9KB
 HZjgm+jHAexKg==
To: guix-patches@HIDDEN
From: Jacob Hrbek <kreyren@HIDDEN>
Subject: [PATCH] gnome-boxes: Add 'qemu' as propagated-input
Message-ID: <20220914181624.13204-1-kreyren@HIDDEN>
Feedback-ID: 30491181:user:proton
MIME-Version: 1.0
Content-Type: multipart/signed; protocol="application/pgp-signature";
 micalg=pgp-sha256;
 boundary="------7673086758429d598f50a166415b8e497eeb1e91d69177dc1adf91f4cccc1309";
 charset=utf-8
Received-SPF: pass client-ip=185.70.40.18; envelope-from=kreyren@HIDDEN;
 helo=mail-4018.proton.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------7673086758429d598f50a166415b8e497eeb1e91d69177dc1adf91f4cccc1309
Content-Type: multipart/mixed;
 boundary=e14393e1b7c61d034179b6f78fb428357a06e7c3d32b4329f7f0806a8519
From: Jacob Hrbek <kreyren@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnome-boxes: Add 'qemu' as propagated-input
Date: Wed, 14 Sep 2022 20:16:23 +0200
Message-Id: <20220914181624.13204-1-kreyren@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0

--e14393e1b7c61d034179b6f78fb428357a06e7c3d32b4329f7f0806a8519
Content-Transfer-Encoding: 8bit
Content-Disposition: 
Content-Type: text/plain; charset=UTF-8

Fixes:

(gnome-boxes:9304): Boxes-WARNING **: 19:54:29.345: review-page.vala:32: Box setup failed: Failed to create volume: internal error: creation of non-raw file images is not supported without qemu-img.

(gnome-boxes:9304): Boxes-CRITICAL **: 19:54:29.345: boxes_assistant_review_page_populate: assertion 'machine != NULL' failed

Steps to reproduce:
1. Open gnome-boxes on GNU Guix
2. Try to create a box with GNU Guix ISO and expect failure above



--e14393e1b7c61d034179b6f78fb428357a06e7c3d32b4329f7f0806a8519
Content-Transfer-Encoding: base64
Content-Disposition: attachment; name="publickey - kreyren@HIDDEN -
 1677db82.asc"; filename="publickey - kreyren@HIDDEN - 1677db82.asc"
Content-Type: application/pgp-keys; name="publickey - kreyren@HIDDEN
 - 1677db82.asc"; filename="publickey - kreyren@HIDDEN -
 1677db82.asc"

LS0tLS1CRUdJTiBQR1AgUFVCTElDIEtFWSBCTE9DSy0tLS0tClZlcnNpb246IEdvcGVuUEdQIDIu
NC43CkNvbW1lbnQ6IGh0dHBzOi8vZ29wZW5wZ3Aub3JnCgp4ak1FWUFsM0ZoWUpLd1lCQkFIYVJ3
OEJBUWRBUUtBcG1kUjh0RzlhS0VkeHdISi9aS08yQ3ZaTVJXUHRCTk5HCnFKVWhwMkxOTDJ0eVpY
bHlaVzVBY21sNGIzUnpkSFZrYVc4dVkzb2dQR3R5WlhseVpXNUFjbWw0YjNSemRIVmsKYVc4dVkz
byt3bzhFRUJZS0FDQUZBbUFKZHhZR0N3a0hDQU1DQkJVSUNnSUVGZ0lCQUFJWkFRSWJBd0llQVFB
aApDUkN0MDMwVXEwTDhxUlloQkJaMzI0S1RqS2hsYzRFakI2M1RmUlNyUXZ5cDU3UUEvMHRsYmRu
Q0l6cmVLWG12ClcyWFNZWHpBSm90SmR4Q3pFK1hBVE0rcVBES3pBUUNjYkhwN3l3NitBcm5nZVN0
R0ZuL29saHhUUGRwdTY0MUMKTEdpZ1BtRW9CYzQ0QkdBSmR4WVNDaXNHQVFRQmwxVUJCUUVCQjBE
YWlJM2pRZlNvaTNEWjQvTmZteEdkc1Jzdgo5L0JxTWdXNWo2amRCcWt5SUFNQkNBZkNlQVFZRmdn
QUNRVUNZQWwzRmdJYkRBQWhDUkN0MDMwVXEwTDhxUlloCkJCWjMyNEtUaktobGM0RWpCNjNUZlJT
clF2eXBIY0VCQU9ReFMvSi9VTTBlZThrMmpibGlXZC9RMElkK1g4VUgKQlhoeXFWUmMyMnFyQVFE
TEhjVzk3V1FiU0pGbzE5a3d0NzBPeUhlcEY2TFdwREQwUHVJU1pENklDZz09Cj05a1pnCi0tLS0t
RU5EIFBHUCBQVUJMSUMgS0VZIEJMT0NLLS0tLS0=
--e14393e1b7c61d034179b6f78fb428357a06e7c3d32b4329f7f0806a8519--

--------7673086758429d598f50a166415b8e497eeb1e91d69177dc1adf91f4cccc1309
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: ProtonMail

wnUEARYIACcFAmMiGssJkK3TfRSrQvypFiEEFnfbgpOMqGVzgSMHrdN9FKtC
/KkAAK6VAP9L0olijYbkoDIvn5xCxXOIR9OimAfYXIsyR9p7ibyswgEAy/ND
FAMNeNL3athlR7kbWAQT98z+qQw1anWwFCbEJAA=
=1E7M
-----END PGP SIGNATURE-----


--------7673086758429d598f50a166415b8e497eeb1e91d69177dc1adf91f4cccc1309--





Acknowledgement sent to Jacob Hrbek <kreyren@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57809; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 26 Sep 2022 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.